<html dir="rtl">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256">
<title>تثبيت سكربت دليل المواقع</title>
</head>
<style>
body      { font-family: tahoma; font-size: 10pt }
td        { font-family: tahoma; font-size: 10pt }
A         { COLOR: #0099FF; TEXT-DECORATION: none }
A:visited { COLOR: #0099FF; TEXT-DECORATION: none }
A:hover   { COLOR: #33CCFF; TEXT-DECORATION: underline }

</style>
</head>
<body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<table border="1" cellpadding="2" style="border-collapse: collapse; border-style: double; border-width: 3" bordercolor="#111111" width="100%" id="AutoNumber1" dir="rtl">
  <tr>
    <td width="100%">
    <p align="center">السلام عليكم ورحمة الله وبركاته <font color="#FF6600">ملف الترقيه الخاص بدليل المواقع</font>
    </td>
  </tr>
</table>
<br><br>
<?php
include('config.php');

$action = intval($_GET['x']);
if(!isset($action)) $action = 0;

IF ($action==0){
echo "<div align='center'>ملف الترقيه الخاص بترقية دليل المواقع . . . ابدء الترقيه<li><a href='upgrade.php?x=1'>الخطوة الأولى</a></li></div>";
}ELSEIF ($action==1){
$sql1 = mysql_query("
DROP TABLE `admin` ,
`ads` ,
`links_my_site` ,
`links_visite` ,
`news` ,
`news_cat` ,
`opitions` ,
`pages` ,
`sjl_alzwar` ;
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=2'>الخطوة الثانيه</a></li>";
}

}ELSEIF ($action==2){

$sql1 = mysql_query("
CREATE TABLE `dlil_admin` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(50) default NULL,
  `password` varchar(99) default NULL,
  `adminoruser` int(11) default '0',
  PRIMARY KEY  (`id`)
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=3'>الخطوة الثالثه</a></li>";
}

}ELSEIF ($action==3){

$sql1 = mysql_query("
INSERT INTO `dlil_admin` VALUES (1,'admin', '21232f297a57a5a743894a0e4a801fc3',0);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=4'>الخطوة الرابعه</a></li>";
}

}ELSEIF ($action==4){

$sql1 = mysql_query("
CREATE TABLE `dlil_ads` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `image` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `upordown` int(11) default '0',
  `active` int(11) default '0',
  `orderads` int(11) default '0',
  `vis` int(11) default '0',
  PRIMARY KEY  (`id`)
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=5'>الخطوة الخامسه</a></li>";
}

}ELSEIF ($action==5){
$sql1 = mysql_query("
CREATE TABLE `dlil_blocks` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) default NULL,
  `text` text,
  `rightorleft` int(11) default '0',
  `active` int(11) default '0',
  `orderblock` int(11) default '0',
  PRIMARY KEY  (`id`)
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=6'>الخطوة السادسه</a></li>";
}
}ELSEIF ($action==6){
$sql1 = mysql_query("
CREATE TABLE `dlil_counter` (
`counterdata` BIGINT NOT NULL DEFAULT '0'
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=7'>الخطوة السابعه</a></li>";
}
}ELSEIF ($action==7){
$sql1 = mysql_query("
CREATE TABLE `dlil_online` (
`xip` VARCHAR( 99 ) NOT NULL ,
`xtime` VARCHAR( 30 ) NOT NULL
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=8'>الخطوة الثامنه</a></li>";
}
}ELSEIF ($action==8){
$sql1 = mysql_query("
CREATE TABLE `dlil_options` (
  `id` int(11) NOT NULL auto_increment,
  `namesite` varchar(255) NOT NULL default '',
  `urlsite` varchar(255) NOT NULL default '',
  `pathsite` varchar(255) NOT NULL default '',
  `emailsite` varchar(255) NOT NULL default '',
  `textheader` text,
  `textfooter` text,
  `closesitetext` varchar(255) NOT NULL default '',
  `closesite` int(11) default '0',
  `htmlorphp` int(11) default '0',
  `ads_headerloop` int(11) default '4',
  `ads_footerloop` int(11) default '4',
  `opt1` int(11) default '0',
  `meta1` varchar(255) NOT NULL default '',
  `meta2` varchar(255) NOT NULL default '',
  `foldertemplate` varchar(255) NOT NULL default '',
  `last_limit` int(11) default '10',
  `index_limit` int(11) default '20',
  `disallowcatid` varchar(99) NOT NULL default '1',
  `number` int(11) default '2',
  `site_cat_limit` int(11) default '20',
  `allow_add` int(11) default '1',
  `indexview` int(11) default '2',
  `limitinblock` int(11) default '10',
  `showblocks` int(11) default '0',
  PRIMARY KEY  (`id`)
);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=9'>الخطوة التاسعه</a></li>";
}
}ELSEIF ($action==9){
$sql1 = mysql_query("
INSERT INTO `dlil_options` VALUES (
1,
'nwahy',
'http://localhost',
'http://localhost/folder',
'admin@localhost.com',
'',
'',
'',
0,
1,
4,
4,
0,
'nwahy.com,Nwahy',
'nwahy.com,Nwahy',
'templates/template1',
10,
20,
'1,2,3,4,5,6,7,8,9',
2,
20,
1,
2,
10,
0);
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=10'>الخطوة العاشره</a></li>";
}
}ELSEIF ($action==10){
/*
$sql1 = mysql_query("
RENAME TABLE `$dbname`.`links_all` TO `$dbname`.`dlil_site`;
");
*/
$sql1 = mysql_query("
RENAME TABLE `links_all` TO `dlil_site`;
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=11'>الخطوة الحادية عشر</a></li>";
}
}ELSEIF ($action==11){
$sql1 = mysql_query("
ALTER TABLE `dlil_site` CHANGE `name_web` `title` VARCHAR( 255 ) NOT NULL ,
CHANGE `link_web` `url` VARCHAR( 255 ) NOT NULL ,
CHANGE `algasm` `cat` INT( 11 ) NOT NULL DEFAULT '0',
CHANGE `in_date` `date` VARCHAR( 50 ) NOT NULL ,
CHANGE `vote` `rate` INT( 11 ) NOT NULL DEFAULT '0'
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=12'>الخطوة الثانية عشر</a></li>";
}
}ELSEIF ($action==12){
$sql1 = mysql_query("
ALTER TABLE `dlil_site` ADD `metadescription` TEXT NOT NULL ,
ADD `metakeywords` TEXT NOT NULL ,
ADD `country` VARCHAR( 250 ) NOT NULL ,
ADD `yourname` VARCHAR( 250 ) NOT NULL ,
ADD `yourmail` VARCHAR( 250 ) NOT NULL ,
ADD `active` INT NOT NULL DEFAULT '0',
ADD `lang` INT NOT NULL DEFAULT '0';
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=13'>الخطوة الثالثة عشر</a></li>";
}
}ELSEIF ($action==13){
$sql1 = mysql_query("
UPDATE `dlil_site` SET `date` = '1208248382';
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=14'>الخطوة الرابعة عشر</a></li>";
}
}ELSEIF ($action==14){
/*
$sql1 = mysql_query("
RENAME TABLE `$dbname`.`links_cat` TO `$dbname`.`dlil_catgory` ;
");
*/
$sql1 = mysql_query("
RENAME TABLE `links_cat` TO `dlil_catgory` ;
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=15'>الخطوة الخامسة عشر</a></li>";
}
}ELSEIF ($action==15){
$sql1 = mysql_query("
ALTER TABLE `dlil_catgory` CHANGE `name` `title` VARCHAR( 255 ) NOT NULL ,
CHANGE `image` `metakeywords` TEXT NOT NULL ,
CHANGE `describ_cat` `metadescription` TEXT NOT NULL ,
CHANGE `parentcatid` `sub` INT( 10 ) NOT NULL DEFAULT '0',
CHANGE `visitor` `active` INT( 10 ) NOT NULL DEFAULT '0',
CHANGE `order_cat` `ordercat` INT( 11 ) NOT NULL DEFAULT '0'
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=16'>الخطوة السادسة عشر</a></li>";
}
}ELSEIF ($action==16){
$sql1 = mysql_query("
UPDATE `dlil_catgory` SET `active` = '1';
");

$sql2 = mysql_query("
UPDATE `dlil_site` SET `active` = '1';
");

if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=17'>الخطوة السابعة عشر</a></li>";
}
}ELSEIF ($action==17){

$queryx = mysql_query("SELECT * FROM links_sub order by id desc");

echo"<form name='vbform' method='POST' action='upgrade.php?x=18'>
<div align='center'>
  <center>
  <table class='xtable' width='80%' id='AutoNumber15' dir='rtl'>";
$ii = 0;
while($p = mysql_fetch_array($queryx))
{
++$ii;

$p['name'] = stripslashes($p['name']);
$p['name'] = htmlspecialchars($p['name']);

$p['describ_cat'] = stripslashes($p['describ_cat']);
$p['describ_cat'] = htmlspecialchars($p['describ_cat']);

echo "<input type='hidden' name='id[]' value='".$p['id']."'>
<input type='hidden' name='parentcatid[]' value='".$p['parentcatid']."'>
<input type='hidden' name='order_cat[]' value='".$p['order_cat']."'>
<tr>
<td width='30%' class='xtr'>» إسم القسم :</td>
<td width='70%' class='xtd'><input name='title[]' size='80' value='".$p['name']."'></td>
</tr>

<tr>
<td width='30%' class='xtr'>» الوصف :</td>
<td width='70%' class='xtd'><textarea name='metadescription[]' rows=2 cols=80>".$p['describ_cat']."</textarea></td>
</tr>";

if($ii != $c){
echo "<tr>
<td width='100%' colspan='2' align='center' class='xtr'><hr color='#177DC1' width='80%' size='0'></td>
</tr>";
}

}

echo "<tr>
<td width='100%' colspan='2' align='center' class='xtr'><input type='submit' value=' الخطة الثامنة عشر ' name='B1'></td>
</tr>

</table>
</center>
</div>
</form>";


}ELSEIF ($action==18){

$number = count($_POST['id']);

for($i=0;$i<$number;$i++){
$id = $_POST['id'][$i];
$id = intval($id);

$title = $_POST['title'][$i];
$title = addslashes($title);
$title = trim($title);

$metadescription = $_POST['metadescription'][$i];
$metadescription = addslashes($metadescription);
$metadescription = trim($metadescription);

$sub = $_POST['parentcatid'][$i];
$active = $_POST['order_cat'][$i];

if(!empty($title)){
echo "تحديث بيانات $title . . . بنجاح<br>";
$q = mysql_query("INSERT INTO `dlil_catgory` (title,metadescription,sub,ordercat,active)values('$title','$metadescription','$sub','$ordercat','1')");
}

}

echo "<li><a href='upgrade.php?x=19'>الخطوة التاسعة عشر</a></li>";

}ELSEIF ($action==19){
$sql1 = mysql_query("
DROP TABLE `links_sub` ;
");
if(!$sql1){
echo "<li><font color='#0000FF'>خطأ</font></li>";
}else{
echo "<li>تمت العمليه</li>";
echo "<li><a href='upgrade.php?x=20'>الخطة الأخيره</a></li>";
}
}ELSEIF ($action==20){
echo "<div align='center'>تمت الترقيه بنجاح<br><br><br><a href='index.php'>الصفحة الرئيسية</a> - <a href='admincp/index.php'>لوحة التحكم</a><br><br>
معلومات لوحة التحكم : إسم المستخدم admin والباسويرد admin<br><br><br>ولا تنسى ان الله يراك واستخدم السكربت في ما يرضي الله سبحانه<br>والله ولي التوفيق
</div>";
}

echo "<br><br><div align='center'>برمجة <a href='http://www.nwahy.com'>www.nwahy.com</a><br><br></div></body></html>";
?>